MojoMojo::Formatter::Dir(3)

NAME
MojoMojo::Formatter::Dir - format local directory as XHTML

DESCRIPTION
This formatter will format the directory argument as XHTML. Usage:

    {{dir directory exclude=exclude_regex}}

For security reasons the directory must be include in 'whitelisting'. You can use path_to(DIR) to describe directory in mojomojo.conf:

<Formatter::Dir>
    prefix_url /myfiles
    whitelisting __path_to(uploads)__ </Formatter::Dir>

METHODS

format_content_order
    Format order can be 1-99. The File formatter runs on 92.

format_content
    Calls the formatter. Takes a ref to the content as well as the context object.

format
    Return the content formatted

to_xhtml
    Return Directory and files lists in xhtml

checkdir
    Directory must be include in whitelisting

SEE ALSO
MojoMojo

AUTHORS
Daniel Brosseau <dab@catapulse.org>

LICENSE
This module is licensed under the same terms as Perl itself.